# Metadata

## Server Metadata

> The server metadata endpoint provides information about the server. A server metadata request is made with an HTTP GET to a server metadata endpoint.

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"tags":[{"name":"metadata"},{"name":"server"}],"paths":{"/v2":{"get":{"summary":"Server Metadata","tags":["metadata","server"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetadataServerResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetadataServerErrorResponse"}}}}},"operationId":"server-metadata","description":"The server metadata endpoint provides information about the server. A server metadata request is made with an HTTP GET to a server metadata endpoint."}}},"components":{"schemas":{"MetadataServerResponse":{"title":"MetadataServerResponse","type":"object","description":"","properties":{"name":{"type":"string"},"version":{"type":"string"},"extensions":{"type":"array","items":{"type":"string"}}},"required":["name","version","extensions"]},"MetadataServerErrorResponse":{"title":"MetadataServerErrorResponse","type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}
```

## Model Metadata

> The per-model metadata endpoint provides information about a model. A model metadata request is made with an HTTP GET to a model metadata endpoint. The model name and (optionally) version must be available in the URL. If a version is not provided the server may choose a version based on its own policies or return an error.

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"tags":[{"name":"metadata"},{"name":"model"}],"paths":{"/v2/models/{model_name}/versions/{model_version}":{"get":{"summary":"Model Metadata","tags":["metadata","model"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetadataModelResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetadataModelErrorResponse"}}}}},"operationId":"model-version-metadata","description":"The per-model metadata endpoint provides information about a model. A model metadata request is made with an HTTP GET to a model metadata endpoint. The model name and (optionally) version must be available in the URL. If a version is not provided the server may choose a version based on its own policies or return an error."}}},"components":{"schemas":{"MetadataModelResponse":{"title":"MetadataModelResponse","type":"object","properties":{"name":{"type":"string"},"versions":{"type":"array","items":{"type":"string"}},"platform":{"type":"string"},"inputs":{"type":"array","items":{"$ref":"#/components/schemas/MetadataTensor"}},"outputs":{"type":"array","items":{"$ref":"#/components/schemas/MetadataTensor"}},"parameters":{"$ref":"#/components/schemas/Parameters"}},"required":["name","platform"]},"MetadataTensor":{"title":"MetadataTensor","type":"object","properties":{"name":{"type":"string"},"datatype":{"type":"string"},"shape":{"type":"array","items":{"type":"integer"}},"parameters":{"$ref":"#/components/schemas/Parameters"}},"required":["name","datatype","shape"]},"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}},"MetadataModelErrorResponse":{"title":"MetadataModelErrorResponse","type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}
```

## Model Metadata

> The per-model metadata endpoint provides information about a model. A model metadata request is made with an HTTP GET to a model metadata endpoint. The model name and (optionally) version must be available in the URL. If a version is not provided the server may choose a version based on its own policies or return an error.

```json
{"openapi":"3.0.3","info":{"title":"Data Plane","version":"2.0"},"tags":[{"name":"metadata"},{"name":"model"}],"paths":{"/v2/models/{model_name}":{"get":{"summary":"Model Metadata","tags":["metadata","model"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetadataModelResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetadataModelErrorResponse"}}}}},"operationId":"model-metadata","description":"The per-model metadata endpoint provides information about a model. A model metadata request is made with an HTTP GET to a model metadata endpoint. The model name and (optionally) version must be available in the URL. If a version is not provided the server may choose a version based on its own policies or return an error."}}},"components":{"schemas":{"MetadataModelResponse":{"title":"MetadataModelResponse","type":"object","properties":{"name":{"type":"string"},"versions":{"type":"array","items":{"type":"string"}},"platform":{"type":"string"},"inputs":{"type":"array","items":{"$ref":"#/components/schemas/MetadataTensor"}},"outputs":{"type":"array","items":{"$ref":"#/components/schemas/MetadataTensor"}},"parameters":{"$ref":"#/components/schemas/Parameters"}},"required":["name","platform"]},"MetadataTensor":{"title":"MetadataTensor","type":"object","properties":{"name":{"type":"string"},"datatype":{"type":"string"},"shape":{"type":"array","items":{"type":"integer"}},"parameters":{"$ref":"#/components/schemas/Parameters"}},"required":["name","datatype","shape"]},"Parameters":{"type":"object","title":"Parameters","additionalProperties":true,"properties":{"content_type":{"type":"string"},"headers":{"type":"object"}}},"MetadataModelErrorResponse":{"title":"MetadataModelErrorResponse","type":"object","properties":{"error":{"type":"string"}},"required":["error"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-core-2/user-guide/v2/rest/metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
